Package org.eclipse.rdf4j.sail.elasticsearch

## Class ElasticsearchQuery

- java.lang.Object
- - org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchQuery

- All Implemented Interfaces:
    `SearchQuery`

      @Deprecated
      public class ElasticsearchQuery
      extends Object
      implements SearchQuery

  Deprecated.
  To be removed, no longer used.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElasticsearchQuery​(org.elasticsearch.action.search.SearchRequestBuilder request, org.elasticsearch.index.query.QueryBuilder qb, ElasticsearchIndex index)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `highlight​(IRI property)` | Deprecated. Highlights the given field or all fields if null.
    `Iterable<? extends DocumentScore>` | `query​(Resource resource)` | Deprecated. Queries for the given subject or all subjects if null.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchQuery

          public ElasticsearchQuery​(org.elasticsearch.action.search.SearchRequestBuilder request,
                                    org.elasticsearch.index.query.QueryBuilder qb,
                                    ElasticsearchIndex index)

      Deprecated.

  - ### Method Detail

    - #### query

          public Iterable<? extends DocumentScore> query​(Resource resource)
                                                  throws IOException

      Deprecated.
      Description copied from interface: `SearchQuery`
      Queries for the given subject or all subjects if null.
      Specified by:
        `query` in interface `SearchQuery`
      Throws:
        `IOException`

    - #### highlight

          public void highlight​(IRI property)

      Deprecated.
      Highlights the given field or all fields if null.
      Specified by:
        `highlight` in interface `SearchQuery`